Dependencies (Gradle API 7.6.3)

Package org.gradle.api.artifacts.dsl

## Interface Dependencies

- All Known Subinterfaces:
    `GradleDependencies`, `JvmComponentDependencies`, `PlatformDependencyModifiers`, `TestFixturesDependencyModifiers`

      @Incubating
      public interface Dependencies

  Universal APIs that are available for all `dependencies` blocks.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencyFactory` | `getDependencyFactory()` | A dependency factory is used to convert supported dependency notations into `Dependency` instances.
    `default ExternalModuleDependency` | `module​(java.lang.CharSequence dependencyNotation)` | Create an `ExternalModuleDependency` from the given notation.
    `default ExternalModuleDependency` | `module​(java.lang.String group, java.lang.String name, java.lang.String version)` | Create an `ExternalModuleDependency` from a series of strings.
    `ProjectDependency` | `project()` | Returns the current project as a `ProjectDependency`.
    `ProjectDependency` | `project​(java.lang.String projectPath)` | Converts an absolute or relative path to a project into a `ProjectDependency`.

- - ### Method Detail

    - #### getDependencyFactory

          @Inject
          DependencyFactory getDependencyFactory()

      A dependency factory is used to convert supported dependency notations into `Dependency` instances.
      Returns:
        a dependency factory
      See Also:
        `DependencyFactory`

    - #### project

          ProjectDependency project​(java.lang.String projectPath)

      Converts an absolute or relative path to a project into a `ProjectDependency`. Project paths are separated by colons. This method fails if the project cannot be found.
      Parameters:
        `projectPath` - an absolute or relative path (from the current project) to a project
      Returns:
        a `ProjectDependency` for the given path
      See Also:
        `Project.project(String)`

    - #### project

          ProjectDependency project()

      Returns the current project as a `ProjectDependency`.
      Returns:
        the current project as a dependency

    - #### module

          default ExternalModuleDependency module​(java.lang.CharSequence dependencyNotation)

      Create an `ExternalModuleDependency` from the given notation.
      Parameters:
        `dependencyNotation` - dependency to add
      Returns:
        the new dependency
      See Also:
        `Valid dependency notation for this method`

    - #### module

          default ExternalModuleDependency module​(@Nullable
                                                  java.lang.String group,
                                                  java.lang.String name,
                                                  @Nullable
                                                  java.lang.String version)

      Create an `ExternalModuleDependency` from a series of strings.
      Parameters:
        `group` - the group (optional)
        `name` - the name
        `version` - the version (optional)
      Returns:
        the new dependency